#ifndef _MSWAVEWRITER_H_
#define _MSWAVEWRITER_H_

#include <string>

#include <windows.h>

#include "ConversionArgs.h"

class MsWaveWriter {
public:

	MsWaveWriter(const ConversionArgs& conversionArgs, const string& outFilename);

	~MsWaveWriter();

	// copy the buffer, doing byte order reversal
	void writeChunk(const BYTE iBuf[], size_t actualIn);

private:
	HMMIO hOut;
	WAVEFORMATEX wfOut;
	MMCKINFO ckOut, ckOutRiff;
	MMIOINFO mmInfoOut;
	BYTE oBuf [BUFFERSIZE];
	std::string fnameo;
	UINT totalSamples;

};

#endif