#include <iostream>
using namespace std;

#include "SoundDesigner2Reader.h"


SoundDesigner2Reader::SoundDesigner2Reader(const string& fnamei) : fnamei(fnamei), fOk(true) {
	fsin.exceptions(ios::badbit);
	fsin.open(fnamei.c_str(),ios::in|ios::binary);
	fOk = !fsin.fail();
	if (fOk) {
		//cout << "File <" << fnamei << "> is open " << endl;
	} else {
		cout << "Error opening <" << fnamei << ">" << endl;
	}
}

SoundDesigner2Reader::~SoundDesigner2Reader(){
	fsin.close();
}

size_t SoundDesigner2Reader::readChunk(){
	fsin.read((char*)&iBuf, BUFFERSIZE);
	size_t actualIn = fsin.gcount();
	fOk = !(fsin.fail() && !fsin.eof());
	if (!fOk) {
		cout << "Error reading from <" << fnamei << ">" << endl << endl;
	}
	return actualIn;
}

const BYTE* SoundDesigner2Reader::getBuf() const {
	return iBuf;
}

bool SoundDesigner2Reader::isOk() const {
	return fOk;
}
